#!/bin/bash

while test -n "$1"; do
    video="$1"

    pushd /tmp
    rm -f v.xml
    wget "http://vimeo.com/api/v2/video/$video.xml" -O v.xml
    wget -c $(xmlstarlet sel -t -v '/videos/video/thumbnail_large' /tmp/v.xml) -O "$video.jpg"
    popd
    cd vimeo
    convert -resize 480x480 "/tmp/$video.jpg" "$video.jpg"
    cd ..
    rm -f /tmp/v.xml
    shift
done

